// --------------------------------------------------------
// Copyright (c)
//
// contributions by author
//                  author@somewhere.net
// maintained by    CEA LIST
//                  info-list@cea.fr

// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef PERIODICPUBLISHERCOMPDEF_PERIODICPUBLISHER_H
#define PERIODICPUBLISHERCOMPDEF_PERIODICPUBLISHER_H

/************************************************************
 PeriodicPublisher class header
 ************************************************************/

#include "periodicPublisherCompdef/Pkg_periodicPublisherCompdef.h"

#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"
#include "rclcpp_lifecycle/lifecycle_node.hpp"
#include "simple_msgs/msg/map.hpp"

// Include from Include stereotype (header)
#include <rclcpp/rclcpp.hpp>

// End of Include stereotype (header)

namespace ros2Library {
namespace rclcpp {
class CallbackGroup;
}
}
namespace ros2Library {
namespace rclcpp {
class NodeOptions;
}
}
namespace ros2Library {
namespace rclcpp {
namespace timer {
class TimerBase;
}
}
}

namespace periodicPublisherCompdef {

/************************************************************/
/**
 * 
 */
class PeriodicPublisher: public rclcpp_lifecycle::LifecycleNode {
public:

  /**
   * 
   */
  rclcpp::CallbackGroup::SharedPtr cbg_Activity1_;

  /**
   * 
   */
  rclcpp::TimerBase::SharedPtr timer_Activity1_;

  /**
   * 
   */
  rclcpp::CallbackGroup::SharedPtr cbg_t_Activity1_;

  /**
   * 
   */
  rclcpp_lifecycle::LifecyclePublisher<simple_msgs::msg::Map>::SharedPtr pMap_pub_;

  /**
   * 
   */
  ::PrimitiveTypes::Boolean indoor_;

  /**
   * 
   */
  ::PrimitiveTypes::Integer noOfScans_;

  /**
   * 
   */
  void fPublishing();

  /**
   * 
   * @param options 
   */
  PeriodicPublisher(rclcpp::NodeOptions /*in*/options);

  /**
   * 
   */
  void declareParameters();

  /**
   * 
   */
  void initParameterVars();

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace periodicPublisherCompdef

/************************************************************
 End of PeriodicPublisher class header
 ************************************************************/

#endif
